For the complete documentation index, see llms.txt. This page is also available as Markdown.

List extensions for a store

List extensions for a store

Required permissions: EXTENSION

get
/tenants/{tenantUid}/stores/{storeUid}/extensions
Authorizations
AuthorizationstringRequired

Token received from the auth service

Path parameters
tenantUidstringRequired

Reference to a tenant.

Pattern: ^[A-Za-z0-9-_]+
storeUidstringRequired

Reference to a Store.

Pattern: ^[A-Za-z0-9-_]+
Query parameters
pageNumberintegerOptional

Reference to a specific page in a result set.

pageSizeintegerOptional

The number of items per page in a result set.

sortBystringOptional

Defines which field the resource list is sorted by.

sortDirectionstring · enumOptional
ENUMDescription
ASCSort in ascending order
DESCSort in descending order
Possible values:
Responses
200

Example response

application/json
get/tenants/{tenantUid}/stores/{storeUid}/extensions
GET /v2/tenants/{tenantUid}/stores/{storeUid}/extensions HTTP/1.1
Host: api.flowretail.com
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
200

Example response

{
  "items": [
    {
      "storeExtensionUid": "text",
      "active": true,
      "storeParameters": [
        {
          "key": "text",
          "value": "text",
          "type": "STRING",
          "allowedValues": [
            "text"
          ],
          "validationRegex": "text",
          "name": "text",
          "required": true
        }
      ],
      "tenantExtension": {
        "extensionCode": "FLOWGIFTCARD",
        "active": true,
        "tenantExtensionUid": "text",
        "name": "text"
      },
      "statusMessages": [
        "text"
      ],
      "capabilities": [
        "VALIDATE_CREDENTIALS"
      ]
    }
  ],
  "paging": {
    "pageNumber": 1,
    "pageSize": 1,
    "totalCount": 1
  }
}

Last updated

Was this helpful?